Thread: Android Angry Birds
View Single Post
Old 10-25-2010, 12:06 PM   #2
cheyennedonna
Edge User
 
Try rotating the screen before you start the app, some apps only seem to work in one position.
But then again the list of compatible phones suggests it uses Android 2.1 or 2.2, it may not work until our update.

Update on reply - I found a post here with a section that suggests Angry Birds needs 2.2 http://www.tested.com/news/how-to-in...rket-app/1198/

Last edited by cheyennedonna; 10-25-2010 at 12:43 PM.